Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app
Class HttpImageReference

    java.lang.Object
      nextapp.echo2.app.HttpImageReference

All Implemented Interfaces:
  java.io.Serializable, ImageReference, RenderIdSupport

    public class HttpImageReference

extends java.lang.Object
implements ImageReference

A reference to an image that may be retrieved through an HTTP request.

See Also:
  Serialized Form

Constructor Summary
`HttpImageReference(java.lang.String uri)` Creates a reference to an image at the specified URI of unknown size.
`HttpImageReference(java.lang.String uri, Extent width, Extent height)` Creates a reference to an image at the specified URI of the given width and height.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`Extent` | `getHeight()` Returns the height of the image, or null if the size is unknown.
`java.lang.String` | `getRenderId()` Returns an identifier that is unique within the `ApplicationInstance` with which the implementor will be used.
`java.lang.String` | `getUri()` Returns the URI from which the image may be obtained.
`Extent` | `getWidth()` Returns the width of the image, or null if the size is unknown.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpImageReference

    public HttpImageReference(java.lang.String uri)

  Creates a reference to an image at the specified URI of unknown size.

  Parameters:
    `uri` - a URI from which the image data may be obtained

### HttpImageReference

    public HttpImageReference(java.lang.String uri,
                              Extent width,
                              Extent height)

  Creates a reference to an image at the specified URI of the given width and height. If the image is not of the given width and height, it will be scaled to the given width and height.

  Parameters:
    `uri` - a URI from which the image data may be obtained
    `width` - The width at which to render the image
    `height` - The height at which to render the image

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### getHeight

    public Extent getHeight()

  Description copied from interface: `ImageReference`
  Returns the height of the image, or null if the size is unknown.

  Specified by:
    `getHeight` in interface `ImageReference`
  Returns:
    the height of the image
  See Also:
    `ImageReference.getHeight()`

### getRenderId

    public java.lang.String getRenderId()

  Description copied from interface: `RenderIdSupport`
  Returns an identifier that is unique within the `ApplicationInstance` with which the implementor will be used.

  Specified by:
    `getRenderId` in interface `RenderIdSupport`
  See Also:
    `RenderIdSupport.getRenderId()`

### getUri

    public java.lang.String getUri()

  Returns the URI from which the image may be obtained.

  Returns:
    the URI of the image

### getWidth

    public Extent getWidth()

  Description copied from interface: `ImageReference`
  Returns the width of the image, or null if the size is unknown.

  Specified by:
    `getWidth` in interface `ImageReference`
  Returns:
    the width of the image
  See Also:
    `ImageReference.getWidth()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD